# Interface MinilinksResult<L>

interface MinilinksResult<L> {
_updating: boolean;
byFrom: {
[id: Id]: L[];
};
byId: {
[id: Id]: L;
};
byTo: {
[id: Id]: L[];
};
byType: {
[id: Id]: L[];
};
emitter: EventEmitter<DefaultEventMap>;
links: L[];
options: MinilinksGeneratorOptions;
types: {
[id: Id]: L[];
};
virtual: {
[id: Id]: Id;
};
virtualCounter: number;
add(linksArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
apply(linksArray: any[] | MinilinksApplyInput, applyName?: string, applyOptions?: ApplyOptions): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
query(query: Id | QueryLink): any;
remove(idsArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
select(query: Id | QueryLink): any;
subscribe(query: Id | QueryLink): Observable<any>;
update(linksArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
}

#### Type Parameters

- L extends Link<Id>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:67

#####
Index

### Properties

_updating
byFrom
byId
byTo
byType
emitter
links
options
types
virtual
virtualCounter

### Methods

add
apply
query
remove
select
subscribe
update

##
Properties

### _updating

_updating: boolean

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:89

### byFrom

byFrom: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:73

### byId

byId: {
[id: Id]: L;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:72

### byTo

byTo: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:74

### byType

byType: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:75

### emitter

emitter: EventEmitter<DefaultEventMap>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:77

### links

links: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:70

### options

options: MinilinksGeneratorOptions

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:76

### types

types: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:71

### virtual

virtual: {
[id: Id]: Id;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:68

### virtualCounter

virtualCounter: number

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:69

##
Methods

### add

- add(linksArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:81

### apply

- apply(linksArray, applyName?, applyOptions?): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[] | MinilinksApplyInput
  - `Optional` applyName: string
  - `Optional` applyOptions: ApplyOptions

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:90

### query

- query(query): any

- #### Parameters

  - query: Id | QueryLink

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:78

### remove

- remove(idsArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - idsArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:85

### select

- select(query): any

- #### Parameters

  - query: Id | QueryLink

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:79

### subscribe

- subscribe(query): Observable<any>

- #### Parameters

  - query: Id | QueryLink

  #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:80

### update

- update(linksArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:94